Bug 74258 - ksymoops can't locate ext3.o or jbd.o modules
ksymoops can't locate ext3.o or jbd.o modules
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ksymoops (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-18 15:49 EDT by Tom Wood
Modified: 2013-07-02 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ksymoops run that can't find these modules (5.70 KB, text/plain)
2002-09-18 15:50 EDT, Tom Wood
no flags Details

  None (edit)
Description Tom Wood 2002-09-18 15:49:22 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; 
Linux) 
 
Description of problem: 
ksymoops run against a particular kernel module-induced oops 
can't locate ext3.o or jbd.o, even when explicitly pathed 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.  Get keyspan.o to cause an oops (trivially easy - just plug 
a Keyspan USB to serial adapter into the USB bus). 
2.  Run ksymoops against the appropriate portion of 
/var/log/messages. 
3.  Observe the error messages. 
  
 
Actual Results:  See attached ksymoops file. 
 
Expected Results:  It should have located the ext3.o and jbd.o 
modules.  They do exist in /lib/modules/2.4.18-10/fs/ext3 and 
/lib/modules/2.4.18-10/fs/jbd, respectively. 
 
Additional info:
Comment 1 Tom Wood 2002-09-18 15:50:12 EDT
Created attachment 76550 [details]
ksymoops run that can't find these modules
Comment 2 Tom Wood 2002-10-09 15:21:47 EDT
Bump.
Comment 3 Tom Wood 2002-10-17 14:10:41 EDT
I initially filed this bug a month ago.  Why is the status still NEW?
Comment 4 Bill Nottingham 2002-10-17 14:43:18 EDT
It's looking for the files where they were loaded from /lib on the initrd. It's
a harmless error, as I recall.
Comment 5 Tom Wood 2002-10-17 20:39:20 EDT
Thank you for the response.

Is this documented somewhere?  Are the results valid 
nonetheless?
Comment 6 Bill Nottingham 2002-10-17 21:45:05 EDT
Hm, I thought I had some text on this. But now that I look at it again, there's
a way to make the error go away.

The oops trace *is* valid. Especially since the oops is not in the ext3 or jbd
modules, but appears to be in the USB code.
Comment 7 Bill Nottingham 2002-10-17 21:50:42 EDT
(The way to make the error go away is to run ksymoops with -i)
Comment 8 Bill Nottingham 2006-08-05 00:38:52 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 9 Bill Nottingham 2006-10-18 10:53:29 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.